diagnostics_relay_action_t
diagnostics_relay_client_free
diagnostics_relay_client_new
diagnostics_relay_client_start_service
diagnostics_relay_client_t
diagnostics_relay_error_t
diagnostics_relay_goodbye
diagnostics_relay_query_ioregistry_entry
diagnostics_relay_query_ioregistry_plane
diagnostics_relay_query_mobilegestalt
diagnostics_relay_request_diagnostics
DIAGNOSTICS_RELAY_REQUEST_TYPE_ALL
DIAGNOSTICS_RELAY_REQUEST_TYPE_GAS_GAUGE
DIAGNOSTICS_RELAY_REQUEST_TYPE_NAND
DIAGNOSTICS_RELAY_REQUEST_TYPE_WIFI
diagnostics_relay_restart
DIAGNOSTICS_RELAY_SERVICE_NAME
diagnostics_relay_shutdown
diagnostics_relay_sleep

## diagnostics_relay_query_ioregistry_plane()

LIBIMOBILEDEVICE_API diagnostics_relay_error_t diagnostics_relay_query_ioregistry_plane | ( | diagnostics_relay_client_t | client,
|  | const char * | plane,
|  | plist_t * | result )

Query an IORegistry plane.

Parameters

  client | The diagnostics_relay client
  plane | The IORegistry plane name to query.
  result | A pointer to plist_t that will receive the result. The consumer has to free the allocated memory with plist_free() when no longer needed.

Returns
  DIAGNOSTICS_RELAY_E_SUCCESS on success, DIAGNOSTICS_RELAY_E_INVALID_ARG when client is NULL, DIAGNOSTICS_RELAY_E_PLIST_ERROR if the device did not acknowledge the request